Bug 238929 - lockdep.BUG at 1858 Linux Kernel
lockdep.BUG at 1858 Linux Kernel
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: kernel-xen (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Eduardo Habkost
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-03 18:13 EDT by Leslie Satenstein
Modified: 2007-11-30 17:12 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-16 11:45:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Leslie Satenstein 2007-05-03 18:13:48 EDT
Description of problem:

Apr 29 23:19:31 linux kernel: audit(1177903138.540:3): policy loaded auid=4294967295
Apr 29 23:19:31 linux kernel: BUG: at kernel/lockdep.c:1858 trace_hardirqs_on()
Apr 29 23:19:31 linux kernel:  [<c1005d9a>] show_trace_log_lvl+0x1a/0x2f
Apr 29 23:19:31 linux kernel:  [<c1006343>] show_trace+0x12/0x14
Apr 29 23:19:31 linux kernel:  [<c10063be>] dump_stack+0x16/0x18
Apr 29 23:19:31 linux kernel:  [<c1037439>] trace_hardirqs_on+0xc4/0x143
Apr 29 23:19:31 linux kernel:  [<c10055d4>] restore_all+0x3b/0x3e
Apr 29 23:19:31 linux kernel:  =======================


Version-Release number of selected component (if applicable):

May  3 17:32:40 linux kernel: BUG: at kernel/fork.c:994 copy_process()
May  3 17:32:40 linux kernel:  [<c1005d9a>] show_trace_log_lvl+0x1a/0x2f
May  3 17:32:40 linux kernel:  [<c1006343>] show_trace+0x12/0x14
May  3 17:32:40 linux kernel:  [<c10063be>] dump_stack+0x16/0x18
May  3 17:32:40 linux mcstransd: mcstransd starting
May  3 17:32:40 linux kernel:  [<c101d044>] copy_process+0x195/0x1245
May  3 17:32:40 linux kernel:  [<c101e144>] do_fork+0x50/0x117
May  3 17:32:40 linux kernel:  [<c1003351>] kernel_thread+0x8e/0x96
May  3 17:32:40 linux kernel:  [<c102c701>] __call_usermodehelper+0x2d/0x46
May  3 17:32:40 linux kernel:  [<c102cd4f>] run_workqueue+0x89/0x145
May  3 17:32:40 linux kernel:  [<c102d711>] worker_thread+0xd5/0x102
May  3 17:32:40 linux kernel:  [<c102ff27>] kthread+0xb3/0xdc
May  3 17:32:40 linux kernel:  [<c10058db>] kernel_thread_helper+0x7/0x10
May  3 17:32:40 linux kernel:  =======================


How reproducible:

Boot FC7 test4 XEN

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Leslie Satenstein 2007-05-14 16:41:22 EDT
With the test version of XEN sent to me 
http://koji.fedoraproject.org/packages/kernel-xen-2.6/2.6.20/2925.8.fc7/
http://koji.fedoraproject.org/packages/xen/3.1.0/0.rc7.1.fc7/

The boot process proceeds without the error message occurring. 
Comment 2 Leslie Satenstein 2007-05-14 22:33:49 EDT
The attached files are patches to the kernel-xen. Problem does not appear with
this version of kernel.
Comment 3 Daniel Berrange 2007-05-14 23:39:09 EDT
Leslie, thanks for the confirmation. This bug was reported against FC6 & since
we've only updated rawhide with new kernel, I'll leave this open until we've
provided FC6 updates too.
Comment 4 Eduardo Habkost 2007-05-15 08:44:44 EDT
The bug is reported against 'fc6test3'. Should it be changed to 'fc6'?
Comment 5 Eduardo Habkost 2007-05-16 10:57:21 EDT
What is the Fedora version, and the kernel version being used?

If it is FC7, the crashes and hangs may be solved by 
kernel-xen-2.6-2.6.20-2925.8.fc7. If it is FC6, probably it is the same 
problem being tracked on bug 234008.
Comment 6 Leslie Satenstein 2007-05-16 11:48:39 EDT
It is fc7 test4, using the kernel listed below that is crashing

With the test version of XEN sent to me 

http://koji.fedoraproject.org/packages/kernel-xen-2.6/2.6.20/2925.8.fc7/
http://koji.fedoraproject.org/packages/xen/3.1.0/0.rc7.1.fc7/

It boots, sometimes stopping just before boot is complete, with only the 
hardware system reset button available (a hard lock occurs with no keyboard or 
mouse or power switch functioning with the kernel) 

Now mainly it executes to where the Gnome prompt is presented. On reboot, 
journal files fix up takes place.

When lockup occurs, one cannot log into the system (no keyboard, no mouse, and 
no power off switch functionable to trigger a shutdown). I have also re-tried 
it switching from X windows i810 driver to the vesa driver, with same problem. 
Repeat, on system freeze, the only recourse is to hit the hardware system reset 
button or depress the hardware power off switch for 5 seconds, and then reboot.

 

No problems booting with non-xen kernel.

What can I do to help? refer to 233843 I sent log files and attached them there.


 

Note You need to log in before you can comment on or make changes to this bug.